﻿@model GarageMaster.Models.AccountModels.UserFilterModel

@{
    ViewData["Title"] = "Users";
}

<h1>Users</h1>

<div class="col-md-4">
    <form asp-action="Users" method="get">
        <div class="block">
            <span class="extremum-click"><b>Фильтр</b></span>
            <div class="extremum-slide">
                <div asp-validation-summary="ModelOnly" class="text-danger"></div>
                <div>
                    <div class="form-group">
                        <label asp-for="SearchEmail" class="control-label"></label>
                        <input asp-for="SearchEmail" class="form-control" value="@Model.SearchEmail" />
                        <span asp-validation-for="SearchEmail" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="SearchSurname" class="control-label"></label>
                        <input asp-for="SearchSurname" class="form-control" value="@Model.SearchSurname" />
                        <span asp-validation-for="SearchSurname" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="SearchMobilePhone" class="control-label"></label>
                        <input asp-for="SearchMobilePhone" class="form-control" value="@Model.SearchMobilePhone" />
                        <span asp-validation-for="SearchMobilePhone" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="DateFrom" class="control-label"></label>
                        <input asp-for="DateFrom" type="date" class="form-control" value="@Model.DateFrom" />
                        <span asp-validation-for="DateFrom" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <label asp-for="DateTo" class="control-label"></label>
                        <input asp-for="DateTo" type="date" class="form-control" value="@Model.DateTo" />
                        <span asp-validation-for="DateTo" class="text-danger"></span>
                    </div>
                    <div class="form-group">
                        <input type="submit" value="Search" class="btn btn-primary" />
                    </div>
                </div>
            </div>
        </div>
    </form>
</div>

<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.UserModel.Email)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.UserModel.Surname)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.UserModel.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.UserModel.NickName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.UserModel.MobilePhone)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.UserModel.CreatedOn)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.UserModel.IsActive)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Users)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Email)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Surname)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.NickName)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.MobilePhone)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.CreatedOn)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.IsActive)
                </td>
                <td>
                    <a asp-area="Admin" asp-controller="User" asp-action="ProfileUser" asp-route-id="@item.Id">
                        <input type="submit" value="Details" class="btn btn-primary mt-3" />
                    </a>
                </td>
            </tr>
        }
    </tbody>
</table>


@section Scripts
{
    <partial name="_UserScriptsPartial" />
}

